%define _hardened_build 1
Name:           teeworlds
Version:        0.6.1
Release:        6%{?dist}
Summary:        Online multi-player platform 2D shooter

Group:          Amusements/Games
License:        Teeworlds
URL:            http://www.teeworlds.com/
Source0:        http://www.teeworlds.com/files/%{name}-%{version}-source.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
Patch1:         %{name}-0.6.1-extlibs.patch
#Patch2:         %{name}-0.6.0-optflags.patch
Patch3:	        %{name}-0.6.0-cstddef.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mesa-libGLU-devel
BuildRequires:  bam >= 0.4.0
BuildRequires:  python-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  zlib-devel
BuildRequires:  wavpack-devel
BuildRequires:  pnglite-devel
BuildRequires:  SDL-devel
BuildRequires:	libpng-devel
BuildRequires:	freetype-devel
Requires:       %{name}-data


%description
The game features cartoon-themed graphics and physics, 
and relies heavily on classic shooter weaponry and gameplay. 
The controls are heavily inspired by the FPS genre of computer games. 


%package        server
Summary:        Server for %{name}
Group:          Amusements/Games
Requires:       %{name}-data


%description    server
Data for %{name}, an online multi-player platform 2D shooter. 


%package        data
Summary:        Data-files for %{name}
Group:          Amusements/Games


%description    data
Data-files for %{name}, an online multi-player platform 2D shooter.


%prep
%setup -q -n %{name}-b177-r50edfd37-source
rm -rf src/engine/external

%patch1 -p1
#%patch2 -p1
%patch3 -p1

#for f in ./readme.txt ./src/game/editor/array.hpp
#do
#  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
#  touch -c -r $f $f.utf8
#  mv $f.utf8 $f
#done


%build
CFLAGS="%{optflags}" bam -v release


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/pixmaps

install -D -m 0755 %{name} \
        %{buildroot}%{_bindir}/%{name}

install -D -m 0755 %{name}_srv \
        %{buildroot}%{_bindir}/%{name}-srv

cp -pr data/* \
   %{buildroot}%{_datadir}/%{name}/data/

install -p -m 0644 %{SOURCE1} \
        %{buildroot}%{_datadir}/pixmaps/%{name}.png


desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
                     %{SOURCE2}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc readme.txt license.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}/


%files server
%defattr(-,root,root,-)
%doc readme.txt license.txt
%{_bindir}/%{name}-srv


%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Jon Ciesla <limburgher@gmail.com> - 0.6.1-4
- Add hardened build.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 27 2011 Jon Ciesla <limb@jcomserv.net> - 0.6.1-2
- Fix to extlib patch to correct sound loading issue.

* Mon Aug 22 2011 Jon Ciesla <limb@jcomserv.net> - 0.6.1-1
- New upstream release

* Tue Apr 26 2011 Jon Ciesla <limb@jcomserv.net> - 0.6.0-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> 0.5.2-2
- convert iso files to utf8

* Thu Dec 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> 0.5.2-1
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 09 2009 Simon Wesp <cassmodiah@fedoraproject.org> 0.5.1-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Lubomir Rintel <lkundrak@v3.sk> 0.5.0-1
- New upstream release

* Fri Jan 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.3-5
- Remove requires from subpackage 'data'
- Correct description 

* Thu Jan 01 2009 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.3-4
- Drop desktop-file and icon for subpackage 'server'
- Honor timestamp for converted file
- Add and correct Lubomir's changes
- Remove all comments
- Correct License-Tag (again)
- Add datadir patch

* Wed Dec 31 2008 Lubomir Rintel <lkundrak@v3.sk> 0.4.3-3
- Outsource the dependencies (extlib-patch)
- Use optflags

* Thu Sep 18 2008 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.3-2
- Recheck and conform licensing and list it in a comment
- Correct BuildRequires

* Sat Sep 13 2008 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.3-1
- Initial Release

